ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-board-listall - List all known boards and their corresponding FQBN.

SYNOPSIS
arduino-cli board listall [boardname] [flags]

DESCRIPTION
List all boards that have the support platform installed. You can search for a specific board if you specify the board name

OPTIONS
-h, --help[=false]
    help for listall

-a, --show-hidden[=false]
    Show also boards marked as 'hidden' in the platform

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli board listall
      debian/build/bin/arduino-cli board listall zero

SEE ALSO
arduino-cli-board(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra